package com.ssj.bean.sys.lesson.domain;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import java.util.Date;

/**
 * @author chchen
 * 类描述:调课换老师申请表
 * 创建时间:2018年6月13日 上午10:53:39

 */
@Entity
@Table(name = "tb_lesson_service_apply")
public class LessonServiceApply extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String KmtCourseId;     //一对一辅导排课明细id,如果申请类别为2,该字段为课程服务id(LessonServiceId)

    private int type;               //申请类别 1:调课 2:换老师

    private Date adjustTime;        //申请调课时间 yyyy-MM-dd HH:mm:ss

    private Date oldClassTime;      //原上课时间  yyyy-MM-dd HH:mm:ss

    private String teacherId;       // 申请调整老师id

    private String oldTeacherId;    //原老师id

    private String reason;          //调整原因

    private int status;             //0:未调整 1:已调整

    private int isDelete;           //0:有效 1:失效

    private Date createTime;        //创建时间
    
    @Column(name = "kmt_course_id")
    public String getKmtCourseId() {
        return KmtCourseId;
    }

    public void setKmtCourseId(String kmtCourseId) {
        KmtCourseId = kmtCourseId;
    }

    @Column(name = "type")
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    @Column(name = "adjust_time")
    public Date getAdjustTime() {
        return adjustTime;
    }

    public void setAdjustTime(Date adjustTime) {
        this.adjustTime = adjustTime;
    }

    @Column(name = "old_class_time")
    public Date getOldClassTime() {
        return oldClassTime;
    }

    public void setOldClassTime(Date oldClassTime) {
        this.oldClassTime = oldClassTime;
    }

    @Column(name = "teacher_id")
    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    @Column(name = "old_teacher_id")
    public String getOldTeacherId() {
        return oldTeacherId;
    }

    public void setOldTeacherId(String oldTeacherId) {
        this.oldTeacherId = oldTeacherId;
    }

    @Column(name = "reason")
    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Column(name = "status")
    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    @Column(name = "is_delete")
    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
}
